INSERT INTO procs set name='Historique des prêts - Par panier(s) d\'exemplaires - Pendant une période à déterminer', requete='SELECT date_format(current_date , \'%d/%m/%Y\') AS \'Imprimé le \', 
empr_categ.libelle as \'Catégorie\', 
empr_codestat.libelle as \'Code stat.\', 
empr_cb as \'N° lecteur\', concat(empr_nom,\' \',empr_prenom) as Lecteur, 
location_libelle as Localisation, 
expl_cote as Cote, expl_cb as \'Code-barres\', 
(CASE WHEN expl_notice>0 THEN (CASE WHEN serie_name IS NOT NULL THEN CONCAT(serie_name,\' - \', n1.tit1) ELSE n1.tit1 END) ELSE n2.tit1 END) as Titre,
(CASE WHEN expl_notice>0 THEN CONCAT(author_name, \', \', author_rejete) ELSE CONCAT(\'N° \', bulletin_numero, \' - \', mention_date) END) as \'Auteur / Bulletin\', date_format(exemplaires.create_date, \'%d/%m/%Y\') AS \'Date de création\',
date_format(arc_debut , \'%d/%m/%Y\') as \'Date de prêt\', 
(CASE WHEN pret_idexpl IS NULL THEN date_format(arc_fin , \'%d/%m/%Y\') ELSE \'\' END) as \'Rendu le\', 
(CASE WHEN pret_idexpl IS NOT NULL AND pret_retour >= current_date THEN date_format(pret_retour, \'%d/%m/%Y\') ELSE \'\' END) as \'A rendre le\',
(CASE WHEN pret_idexpl IS NOT NULL AND pret_retour < current_date THEN date_format(pret_retour, \'%d/%m/%Y\') ELSE \'\' END) as \'En retard depuis\'

FROM 
(((((((((pret_archive, caddie_content, empr, docs_location, exemplaires LEFT JOIN notices as n1 ON expl_notice= notice_id) 
LEFT JOIN series on n1.tparent_id=serie_id) LEFT JOIN responsability ON (n1.notice_id = responsability_notice and responsability_type=0))
LEFT JOIN authors ON responsability_author = author_id)  
LEFT JOIN bulletins ON expl_bulletin = bulletin_id) 
LEFT JOIN notices as n2 ON bulletin_notice = n2.notice_id) 
LEFT JOIN empr_categ ON arc_empr_categ = id_categ_empr) 
LEFT JOIN empr_codestat ON arc_empr_codestat = idcode) 
LEFT JOIN pret ON arc_id_empr = pret_idempr AND arc_expl_id = pret_idexpl AND arc_debut = pret_date) 

WHERE
caddie_id in (!!CADDIE!!) and object_id= expl_id 
and arc_expl_id = expl_id AND arc_id_empr = id_empr AND expl_location = idlocation 
and arc_debut BETWEEN \'!!date1!!\' and \'!!date2!!\'

GROUP BY arc_id 
ORDER BY location_libelle, 
(CASE !!choix!! WHEN \'1\' THEN CONCAT(arc_expl_cote, Titre, expl_cb) 
WHEN \'2\' THEN CONCAT(Titre, expl_cb) ELSE \'\' END), date(arc_debut)', comment='Tri par localisation, ensuite par cote OU par titre OU par date - Ne mentionne que les prêts dont l\'exemplaire ET le lecteur sont identifiés', autorisations='1', parameters='<?xml version=\"1.0\" encoding=\"utf-8\"?>
<FIELDS>
 <FIELD NAME=\"CADDIE\" MANDATORY=\"yes\">
  <ALIAS><![CDATA[Nom du panier]]></ALIAS>
  <TYPE>query_list</TYPE>
<OPTIONS FOR=\"query_list\">
 <QUERY>SELECT idcaddie, name FROM caddie WHERE type=\'EXPL\' ORDER BY name</QUERY>
 <MULTIPLE>yes</MULTIPLE>
 <UNSELECT_ITEM VALUE=\"\"></UNSELECT_ITEM>
</OPTIONS>
 </FIELD>
 <FIELD NAME=\"date1\" MANDATORY=\"yes\">
  <ALIAS><![CDATA[Date de début de la période]]></ALIAS>
  <TYPE>date_box</TYPE>
<OPTIONS FOR=\"date_box\"></OPTIONS>
 </FIELD>
 <FIELD NAME=\"date2\" MANDATORY=\"yes\">
  <ALIAS><![CDATA[Date de fin de la période]]></ALIAS>
  <TYPE>date_box</TYPE>
<OPTIONS FOR=\"date_box\"></OPTIONS>
 </FIELD>
 <FIELD NAME=\"choix\" MANDATORY=\"yes\">
  <ALIAS><![CDATA[Critère de tri]]></ALIAS>
  <TYPE>list</TYPE>
<OPTIONS FOR=\"list\">
 <MULTIPLE>no</MULTIPLE>
 <ITEMS>
  <ITEM VALUE=\"1\">Par cote de rangement, titre, n° d\'exemplaire et date</ITEM>
  <ITEM VALUE=\"2\">Par titre, n° d\'exemplaire et date</ITEM>
  <ITEM VALUE=\"3\">Par date</ITEM>
 </ITEMS>
 <UNSELECT_ITEM VALUE=\"\"></UNSELECT_ITEM>
</OPTIONS>
 </FIELD>
</FIELDS>' 
#charset=utf-8